﻿''
'' WindowsFormsVB
''
'' Copyright (c) 2016 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Public Class Form1

    ''' <summary>
    ''' フォームが初めて表示される直前に発生するイベント
    ''' </summary>
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' DataTableを作成
        Dim dataTable As New DataTable
        dataTable.Columns.Add("表示列")
        dataTable.Columns.Add("データ列")

        ' DataTableにデータを追加
        Dim row As DataRow = dataTable.NewRow
        row("表示列") = "みかん"
        row("データ列") = "ID001"
        dataTable.Rows.Add(row)

        row = dataTable.NewRow
        row("表示列") = "りんご"
        row("データ列") = "ID002"
        dataTable.Rows.Add(row)

        ' コンボボックス1にデータをセット
        Me.ComboBox1.DataSource = dataTable
        Me.ComboBox1.DisplayMember = "表示列"
        Me.ComboBox1.ValueMember = "データ列"

        ' コンボボックス2にデータセット
        Me.ComboBox2.DataSource = dataTable
        Me.ComboBox2.DisplayMember = "表示列"
        Me.ComboBox2.ValueMember = "データ列"

    End Sub

    ''' <summary>
    ''' マウスホイールが動くと発生するイベント
    ''' </summary>
    Private Sub ComboBox2_MouseWheel(ByVal sender As Object, ByVal e As Windows.Forms.MouseEventArgs) Handles ComboBox2.MouseWheel
        ' イベントを処理済みにし、選択値が変わらないようにする
        Dim eventArgs As HandledMouseEventArgs = DirectCast(e, HandledMouseEventArgs)
        eventArgs.Handled = True
    End Sub

End Class
